/**
 * DevExtreme (cjs/__internal/core/m_element.js)
 * Version: 24.2.2-beta
 * Build date: Mon Nov 18 2024
 *
 * Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.getPublicElement = getPublicElement;
exports.getPublicElementNonJquery = getPublicElementNonJquery;
exports.setPublicElementWrapper = setPublicElementWrapper;

function getPublicElementNonJquery(element) {
    if (element && element.get) {
        return element.get(0)
    }
    return element
}
let strategy = getPublicElementNonJquery;

function getPublicElement(element) {
    return strategy(element)
}

function setPublicElementWrapper(newStrategy) {
    strategy = newStrategy
}
