/**
 * DevExtreme (cjs/__internal/core/m_http_request.js)
 * Version: 24.2.2-beta
 * Build date: Mon Nov 18 2024
 *
 * Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.httpRequest = void 0;
var _dependency_injector = _interopRequireDefault(require("../../core/utils/dependency_injector"));
var _window = require("../../core/utils/window");

function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
        default: obj
    }
}
const window = (0, _window.getWindow)();
const nativeXMLHttpRequest = {
    getXhr: () => new window.XMLHttpRequest
};
const httpRequest = exports.httpRequest = (0, _dependency_injector.default)(nativeXMLHttpRequest);
