/**
 * DevExtreme (cjs/__internal/ui/scroll_view/utils/get_scrollbar_size.test.js)
 * Version: 24.2.2-beta
 * Build date: Mon Nov 18 2024
 *
 * Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
"use strict";
var _globals = require("@jest/globals");
var _consts = require("../consts");
var _get_scrollbar_size = require("./get_scrollbar_size");
(0, _globals.describe)("getScrollbarSize(element, direction)", (() => {
    (0, _globals.it)("get vertical scrollbar width", (() => {
        (0, _globals.expect)((0, _get_scrollbar_size.getScrollbarSize)({
            offsetWidth: 100,
            clientWidth: 83
        }, _consts.DIRECTION_VERTICAL)).toEqual(17)
    }));
    (0, _globals.it)("get horizontal scrollbar height", (() => {
        (0, _globals.expect)((0, _get_scrollbar_size.getScrollbarSize)({
            offsetHeight: 100,
            clientHeight: 83
        }, _consts.DIRECTION_HORIZONTAL)).toEqual(17)
    }))
}));
