/**
 * DevExtreme (esm/__internal/pagination/common/base_pagination_props.js)
 * Version: 24.2.2-beta
 * Build date: Mon Nov 18 2024
 *
 * Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
import _extends from "@babel/runtime/helpers/esm/extends";
import {
    BaseWidgetDefaultProps
} from "../../core/r1/base_props";
import messageLocalization from "../../../localization/message";
export const BasePaginationDefaultProps = _extends({}, BaseWidgetDefaultProps, {
    isGridCompatibilityMode: false,
    showInfo: false,
    displayMode: "adaptive",
    maxPagesCount: 10,
    pageCount: 1,
    visible: true,
    hasKnownLastPage: true,
    pagesNavigatorVisible: "auto",
    showPageSizeSelector: true,
    allowedPageSizes: [5, 10],
    showNavigationButtons: false,
    itemCount: 1,
    label: messageLocalization.format("dxPagination-ariaLabel")
});
