/**
 * DevExtreme (esm/__internal/ui/check_box/editor_base/editor_state_props.js)
 * Version: 24.2.2-beta
 * Build date: Mon Nov 18 2024
 *
 * Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
import devices from "../../../../core/devices";
export const defaultEditorStateProps = {
    hoverStateEnabled: true,
    activeStateEnabled: true,
    focusStateEnabled: "desktop" === devices.real().deviceType && !devices.isSimulator()
};
