/**
 * DevExtreme (cjs/__internal/core/r1/utils/dom.js)
 * Version: 24.2.2-beta
 * Build date: Mon Nov 18 2024
 *
 * Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.querySelectorInSameDocument = querySelectorInSameDocument;

function querySelectorInSameDocument(el, selector) {
    var _el$getRootNode;
    const root = (null === (_el$getRootNode = el.getRootNode) || void 0 === _el$getRootNode ? void 0 : _el$getRootNode.call(el)) ?? document;
    return root.querySelector(selector)
}
