/**
 * DevExtreme (cjs/__internal/pagination/common/pagination_props.js)
 * Version: 24.2.2-beta
 * Build date: Mon Nov 18 2024
 *
 * Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.PaginationDefaultProps = void 0;
var _base_pagination_props = require("./base_pagination_props");

function _extends() {
    _extends = Object.assign ? Object.assign.bind() : function(target) {
        for (var i = 1; i < arguments.length; i++) {
            var source = arguments[i];
            for (var key in source) {
                if (Object.prototype.hasOwnProperty.call(source, key)) {
                    target[key] = source[key]
                }
            }
        }
        return target
    };
    return _extends.apply(this, arguments)
}
const PaginationDefaultProps = exports.PaginationDefaultProps = _extends({}, _base_pagination_props.BasePaginationDefaultProps, {
    pageSize: 5,
    pageIndex: 1,
    pageIndexChangedInternal: () => {},
    pageSizeChangedInternal: () => {}
});
