/**
 * DevExtreme (cjs/__internal/pagination/editors/common/editor_state_props.js)
 * Version: 24.2.2-beta
 * Build date: Mon Nov 18 2024
 *
 * Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.EditorStateDefaultProps = void 0;
var _devices = _interopRequireDefault(require("../../../../core/devices"));

function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
        default: obj
    }
}
const EditorStateDefaultProps = exports.EditorStateDefaultProps = {
    hoverStateEnabled: true,
    activeStateEnabled: true,
    focusStateEnabled: "desktop" === _devices.default.real().deviceType && !_devices.default.isSimulator()
};
