/**
 * DevExtreme (cjs/events/visibility_change.js)
 * Version: 24.2.2-beta
 * Build date: Mon Nov 18 2024
 *
 * Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
"use strict";
exports.triggerShownEvent = exports.triggerResizeEvent = exports.triggerHidingEvent = exports.default = void 0;
var _m_visibility_change = _interopRequireDefault(require("../__internal/events/m_visibility_change"));

function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
        default: obj
    }
}
const triggerShownEvent = exports.triggerShownEvent = _m_visibility_change.default.triggerShownEvent;
const triggerHidingEvent = exports.triggerHidingEvent = _m_visibility_change.default.triggerHidingEvent;
const triggerResizeEvent = exports.triggerResizeEvent = _m_visibility_change.default.triggerResizeEvent;
var _default = exports.default = _m_visibility_change.default;
